function [x0,v0]= init_FP_FP(mapfile, x, p, ap,n)
%
%[x0,v0]= init_FP_FP(mapfile, x, p, ap)
%
% Defines mapfile
% Sets all parameters for an Fixed Point continuation (p)
% and the active parameter (ap)
%

global fpds

x0 = [x;p(ap)];
v0 = [];
fpds.P0 =p;
fpds.ActiveParams = ap;
fpds.mapfile = mapfile;
func_handles = feval(fpds.mapfile);
fpds.func = func_handles{2};
fpds.Jacobian  = func_handles{3};
fpds.JacobianP = func_handles{4};
fpds.Hessians  = func_handles{5};
fpds.HessiansP = func_handles{6};
fpds.Der3      = func_handles{7};
fpds.Der4      = func_handles{8};
fpds.Der5      = func_handles{9};
fpds.Niterations=n;
siz = size(func_handles,2);
if siz > 9
    j=1;
    for i=10:siz
        fpds.user{j}= func_handles{i};
        j=j+1;
    end
end
fpds.nphase = size(x,1);
fpds.v = [];
