classdef SelectPointsMenu < handle
    %SELECTPOINTSMENU Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        handle
        
        eventlisteners = {};
    end
    
    methods
        function obj = SelectPointsMenu(parent, pointtypes, session, varargin)
            obj.handle = uimenu(parent, 'Label' , 'Initial Point' , varargin{:});
            set(obj.handle,'DeleteFcn' , @(o,e) obj.destructor());
            
            list = pointtypes.getPointsList();
            
            for i = 1:(length(list) - 1) %exclude last point, 'X' (the null type point)
                uimenu(obj.handle, 'Label' , list{i}.getName() , 'Callback', @(o,e) session.setPointType(list{i}) , varargin{:});
            end
            
 %           uimenu(obj.handle, 'Label' , 'Other');
        end
        
        
        function destructor(obj)
            for i = 1:length(obj.eventlisteners)
                delete(obj.eventlisteners{i});
            end
            delete(obj);
            
        end
    end
    
    
    
    
    
end

function result = bool2str( bool)
if  (bool)
    result = 'on';
else
    result = 'off';
end
end
